Bug 244125 - cman_dispatch should return when done
Summary: cman_dispatch should return when done
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: cman   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 23:15 UTC by Brad Walker
Modified: 2009-04-16 20:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 09:11:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Walker 2007-06-13 23:15:40 UTC
Description of problem:

If I'm reading the code correctly, I think that cman_dispatch should stop
looking at the receive socket when there are no more messages.

diff /tmp/libcman.c ./libcman.c.orig
204c204
<               !(len < 0 && errno == EAGAIN) );
---
>               (len < 0 && errno == EAGAIN) );


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Christine Caulfield 2007-06-14 09:11:10 UTC
No, the intention of CMAN_DISPATCH_ALL is to only return when the socket is
closed or an error occurs.


Note You need to log in before you can comment on or make changes to this bug.